## Options Settings

## Usage

    options(...)
    .Options

## Arguments

`...` | any options can be defined, using `name = value`. However, only the ones below are used in ``base R''. Further, `options('name') == options()['name']`, see the example.
`prompt` | a string, used for R's prompt; should usually end in a blank (`" "`).
`continue` | a string setting the prompt used for lines which continue over one line.
`width` | controls the number of characters on a line. You may want to change this if you resize the window that R is running in.
`digits` | controls the number of digits to print when printing numeric values. It is a suggestion only.
`editor` | sets the default text editor, e.g., for `edit`.
`browser` | default HTML browser used by `help.start()`.
`contrasts` | the default `contrasts` used in model fitting such as with `aov` or `lm`.
`expressions` | sets a limit on the number of nested expressions that will be evaluated. This is especially important on the Macintosh since stack overflow is likely if this is set too high.
`na.action` | the name of a function for treating missing values (`NA`'s) for certain situations.
`pager` | the (standalone) program used for displaying ASCII files on R's console. Defaults to `$RHOME/bin/pager'.
`papersize` | the paper format used for graphics printing; currently read-only, set by environment variable R_PAPERSIZE, or in `config.site'.
`printcmd` | the command used for graphics printing; currently read-only, set by environment variable R_PRINTCMD, or in `config.site'.
`show.signif.stars, show.coef.Pvalues` | logical, affecting P value printing, see `print.coefmat`.
`ts.eps` | the relative tolerance for certain time series (`ts`) computations.

## Description

`options` allows the user to set and examine a variety of global ``options'' which affect the way in which R computes and displays its results.

## Details

Invoking `options()` with no arguments returns a list with the current values of the options. `.Options` is another way to access this list ``read only''.

Accessing current options, usually will work with `.Options$width` (e.g.), rather than `options("width")` which is a list of length one.

## Value

A list (in any case) with the previous values of the options changed, or all options when no arguments were given.

## Examples

    options() # printing all current options
    op <- options(); str(op) # nicer printing

    # .Options is the same:
    all(sapply(1:length(op), function(i) all(.Options[[i]] == op[[i]])))

    options('width')[[1]] == options()$width # the latter needs more memory
    options(digits=20)
    pi

    # set the editor, and save previous value
    old.o <- options(editor="nedit")
    old.o

    options(op)	# reset (all) initial options
    options('digits')

[Package Contents]